Package org.apache.sling.cms.readability

## Class Text

- java.lang.Object
- - org.apache.sling.cms.readability.Text

    public class Text
    extends Object

Represents a block of text which has been analyzed

### Constructor Summary

Constructors
`Text​(String original, List<Sentence> sentences)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getCharacterCount()`
`int` `getComplexWordCount()`
`String` `getOriginal()`
`List<Sentence>` `getSentences()`
`int` `getSyllableCount()`
`int` `getWordCount()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Text

    public Text​(String original,
                List<Sentence> sentences)

### Method Detail

#### getCharacterCount

    public int getCharacterCount()

#### getComplexWordCount

    public int getComplexWordCount()

#### getOriginal

    public String getOriginal()

#### getSentences

    public List<Sentence> getSentences()

#### getSyllableCount

    public int getSyllableCount()

#### getWordCount

    public int getWordCount()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`